const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '赛事组管理', leftArrow: true, useBar: false },
        searchInfo: {},
        list: [],
    },
    back(e) {
        wx.navigateBack({ delta: 1 })
    },
    // 查询
    search: function (e) {
        const that = this;
        that.setData({ 'searchInfo.name': e.detail.value });
        that.watchLogin()
    },
    // 添加
    toCommon: function (e) {
        const that = this;
        const { route } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/${route}` })
    },
    // 信息维护
    toEdit: function (e) {
        const { item } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/raceteam/add?id=${item._id}` })
    },
    // 删除
    toDel: function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        wx.showModal({
            title: '提示',
            content: '是否确认删除该条数据?',
            async success(res) {
                if (res.confirm) {
                    const arr = await app.$delete(`/newCourt/api/raceTeam/${item._id}`);
                    if (arr.errcode == '0') {
                        wx.showToast({ title: `删除信息成功`, icon: 'success', duration: 2000 })
                        that.watchLogin()
                    } else {
                        wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 })
                    }
                }
            }
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {


    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        const that = this;
        that.watchLogin()
    },
    watchLogin: function () {
        const that = this;
        const searchInfo = that.data.searchInfo;
        wx.getStorage({
            key: 'user',
            success: async (res) => {
                let arr;
                let info = { skip: 0, limit: 1000 };
                if (searchInfo && searchInfo.name) info.name = searchInfo.name;
                arr = await app.$get(`/newCourt/api/raceTeam`, { ...info });
                if (arr.errcode == '0') { that.setData({ list: arr.data }) }
                else { wx.showToast({ title: `${res.errmsg}`, icon: 'fail', duration: 2000 }); }


            },
            fail: async (res) => {
                wx.redirectTo({ url: '/pages/index/index' });
            },
        });
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})